--- Makefile.orig	Mon Mar  8 17:10:53 2004
+++ Makefile	Mon Sep  5 16:09:51 2005
@@ -1,32 +1,10 @@
-INSTALLDIR = /usr/local/bin/
+CC?=	cc
+CXX?=	c++
+CFLAGS+= -Implex -I. -I/usr/local/include -L/usr/local/lib -ldvdread -lm
 
 all:
-	g++ -g -Wall -ldvdread -lm -o streamdvd -I. -Implex streamdvd.c requant.c mplex/*.c mplex/*.cpp
-
-addon:
-	gcc -g -Wall -ldvdread -o streamanalyze contrib/StreamAnalyze/streamanalyze.c
-	gcc -g -Wall -ldvdread -DVERSION=\"0.9\" -o lsdvd contrib/lsdvd/lsdvd.c
-
-gui:
-	g++ -g -Wall -ldvdread -lm -o streamdvd -I. -Implex streamdvd.c requant.c mplex/*.c mplex/*.cpp
-	gcc -g -Wall -ldvdread -o streamanalyze contrib/StreamAnalyze/streamanalyze.c
-	gcc -g -Wall -ldvdread -DVERSION=\"0.9\" -o lsdvd contrib/lsdvd/lsdvd.c
+	$(CXX) $(CFLAGS) -o streamdvd  streamdvd.c requant.c mplex/*.c mplex/*.cpp
 
 clean: 
 	rm -f streamdvd streamanalyze lsdvd
 
-install:
-	cp streamdvd $(INSTALLDIR)
-	if test -f "streamanalyze"; then cp streamanalyze $(INSTALLDIR); fi
-	if test -f "lsdvd"; then cp lsdvd $(INSTALLDIR); fi
-
-gui_install:
-	cp streamdvd $(INSTALLDIR)
-	if test -f "streamanalyze"; then cp streamanalyze $(INSTALLDIR); fi
-	if test -f "lsdvd"; then cp lsdvd $(INSTALLDIR); fi
-	if test -f "Gui/install.pl"; then cd Gui; ./install.pl; fi
-
-uninstall:
-	if test -f "$(INSTALLDIR)/streamdvd"; then rm -f "$(INSTALLDIR)/streamdvd"; fi
-	if test -f "$(INSTALLDIR)/streamanalyze"; then rm -f "$(INSTALLDIR)/streamanalyze"; fi
-	if test -f "$(INSTALLDIR)/lsdvd"; then rm -f "$(INSTALLDIR)/lsdvd"; fi
